﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        llenarTabla();
    }

    protected void btn_Click(object sender, EventArgs e)
    {
        llenarTabla();
    }

    private void llenarTabla()
    {
        DataTable tabla = new DataTable();
        tabla.Columns.Add("idCuota");
        tabla.Columns.Add("numeroCuota");
        tabla.Columns.Add("saldoInicial");
        tabla.Columns.Add("valorCapital");
        tabla.Columns.Add("valorInteres");
        tabla.Columns.Add("GeneraPlanPpto", typeof(bool));
        tabla.Columns.Add("GeneraPlanEjtdo", typeof(bool));
        tabla.AcceptChanges();
        for (int i = 1; i <= 50; i++)
        {
            DataRow fila = tabla.NewRow();
            fila["idCuota"] = i;
            fila["numeroCuota"] = i * 50;
            fila["saldoInicial"] = i * 100;
            fila["valorCapital"] = (i * 100) / 5;
            fila["valorInteres"] = i * 5;
            fila["GeneraPlanPpto"] = false;
            fila["GeneraPlanEjtdo"] = false;
            tabla.Rows.Add(fila);
        }
        gvsObligacion.DataSource = tabla;
        gvsObligacion.DataBind();
    }
}